## org.eclipse.ocl.parser.backtracking
Class OCLParserErrors

    java.lang.Object
      org.eclipse.ocl.parser.backtracking.OCLParserErrors

    public class OCLParserErrors

extends Object

An enumeration of error tokens to fill in gaps in the concrete syntax.

Since:
  1.3

Field Summary
`static String` `EXTRA_TOKENS`
`static String` `MISSING_AT_PRE`
`static String` `MISSING_COLON`
`static String` `MISSING_CONTEXT`
`static String` `MISSING_ELSE_ENDIF`
`static String` `MISSING_ENDIF`
`static String` `MISSING_ENDPACKAGE`
`static String` `MISSING_EQUALS`
`static String` `MISSING_EXPR`
`static String` `MISSING_IDENTIFIER`
`static String` `MISSING_INV_OR_DEF`
`static String` `MISSING_LBRACE`
`static String` `MISSING_LPAREN`
`static String` `MISSING_MESSAGE_ARGUMENTS`
`static String` `MISSING_PARAMETER`
`static String` `MISSING_PARAMETERS`
`static String` `MISSING_PATH_NAME`
`static String` `MISSING_RBRACK`
`static String` `MISSING_RPAREN`
`static String` `MISSING_SIMPLE_NAME`
`static String` `MISSING_SIMPLE_NAME_OPT`
`static String` `MISSING_THEN_ELSE`
`static String` `MISSING_THEN_ELSE_ENDIF`
`static String` `MISSING_VARIABLE_TYPE`
`static String` `MISSING_VARIABLES`

Constructor Summary
`OCLParserErrors()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTRA_TOKENS

    public static final String EXTRA_TOKENS

See Also:
  Constant Field Values

### MISSING_AT_PRE

    public static final String MISSING_AT_PRE

See Also:
  Constant Field Values

### MISSING_COLON

    public static final String MISSING_COLON

See Also:
  Constant Field Values

### MISSING_CONTEXT

    public static final String MISSING_CONTEXT

See Also:
  Constant Field Values

### MISSING_ELSE_ENDIF

    public static final String MISSING_ELSE_ENDIF

See Also:
  Constant Field Values

### MISSING_ENDIF

    public static final String MISSING_ENDIF

See Also:
  Constant Field Values

### MISSING_ENDPACKAGE

    public static final String MISSING_ENDPACKAGE

See Also:
  Constant Field Values

### MISSING_EQUALS

    public static final String MISSING_EQUALS

See Also:
  Constant Field Values

### MISSING_EXPR

    public static final String MISSING_EXPR

See Also:
  Constant Field Values

### MISSING_IDENTIFIER

    public static final String MISSING_IDENTIFIER

See Also:
  Constant Field Values

### MISSING_INV_OR_DEF

    public static final String MISSING_INV_OR_DEF

See Also:
  Constant Field Values

### MISSING_LBRACE

    public static final String MISSING_LBRACE

See Also:
  Constant Field Values

### MISSING_LPAREN

    public static final String MISSING_LPAREN

See Also:
  Constant Field Values

### MISSING_MESSAGE_ARGUMENTS

    public static final String MISSING_MESSAGE_ARGUMENTS

See Also:
  Constant Field Values

### MISSING_PARAMETER

    public static final String MISSING_PARAMETER

See Also:
  Constant Field Values

### MISSING_PARAMETERS

    public static final String MISSING_PARAMETERS

See Also:
  Constant Field Values

### MISSING_PATH_NAME

    public static final String MISSING_PATH_NAME

See Also:
  Constant Field Values

### MISSING_RBRACK

    public static final String MISSING_RBRACK

See Also:
  Constant Field Values

### MISSING_RPAREN

    public static final String MISSING_RPAREN

See Also:
  Constant Field Values

### MISSING_SIMPLE_NAME

    public static final String MISSING_SIMPLE_NAME

See Also:
  Constant Field Values

### MISSING_SIMPLE_NAME_OPT

    public static final String MISSING_SIMPLE_NAME_OPT

See Also:
  Constant Field Values

### MISSING_THEN_ELSE

    public static final String MISSING_THEN_ELSE

See Also:
  Constant Field Values

### MISSING_THEN_ELSE_ENDIF

    public static final String MISSING_THEN_ELSE_ENDIF

See Also:
  Constant Field Values

### MISSING_VARIABLE_TYPE

    public static final String MISSING_VARIABLE_TYPE

See Also:
  Constant Field Values

### MISSING_VARIABLES

    public static final String MISSING_VARIABLES

See Also:
  Constant Field Values

Constructor Detail

### OCLParserErrors

    public OCLParserErrors()

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.